> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Hris Expense Report

> Owner edits name, dates, currency or justification of a draft/rejected/info-requested report.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/update-hris-expense-report
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/update-hris-expense-report:
    post:
      operationId: updateHrisExpenseReport
      summary: Update Hris Expense Report
      description: >-
        Owner edits name, dates, currency or justification of a
        draft/rejected/info-requested report.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/UpdateHrisExpenseReportRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UpdateHrisExpenseReportResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    UpdateHrisExpenseReportRequest:
      type: object
      properties:
        hrisExpenseReportID:
          type: string
          format: uuid
        name:
          type: string
          minLength: 1
          maxLength: 200
        startDate:
          type: string
          format: date-time
        endDate:
          type: string
          format: date-time
        expensedCurrencyID:
          type:
            - string
            - 'null'
          format: uuid
        reimbursementCurrencyID:
          type:
            - string
            - 'null'
          format: uuid
        justification:
          type: string
          description: >-
            NOTE(ck): a .transform() rule is not mirrored here; TGA still
            enforces it
      required:
        - hrisExpenseReportID
    UpdateHrisExpenseReportResponse:
      type: object
      properties:
        hrisExpenseReportID:
          type: string
        roleInOrgID:
          type: string
        roleInOrgName:
          type:
            - string
            - 'null'
        roleInOrgEmail:
          type:
            - string
            - 'null'
        roleInOrgDepartment:
          type:
            - string
            - 'null'
        name:
          type: string
        status:
          type: string
          enum:
            - DRAFT
            - SUBMITTED
            - PENDING_INFO
            - APPROVED
            - REJECTED
            - CANCELLED
            - PAID
            - PROCESSING
        startDate:
          type: string
        endDate:
          type: string
        expensedCurrencyID:
          type: string
        expensedCurrencyCode:
          type:
            - string
            - 'null'
        expensedCurrencyName:
          type:
            - string
            - 'null'
        totalAmountInExpenseCurrency:
          type:
            - string
            - 'null'
        submittedAt:
          type:
            - string
            - 'null'
        approvedAt:
          type:
            - string
            - 'null'
        rejectedAt:
          type:
            - string
            - 'null'
        paidAt:
          type:
            - string
            - 'null'
        payoutStatus:
          type:
            - string
            - 'null'
          enum:
            - PENDING
            - PROCESSING
            - PAID
            - FAILED
            - CANCELLED
            - null
        decisionUndoableUntil:
          type:
            - string
            - 'null'
        rejectionReason:
          type:
            - string
            - 'null'
        reviewComment:
          type:
            - string
            - 'null'
        createdAt:
          type: string
        updatedAt:
          type: string
        expenseCount:
          type: number
        categoryNames:
          type: array
          items:
            type: string
        primaryExpenseCategoryName:
          type:
            - string
            - 'null'
        hasReceiptlessExpenses:
          type: boolean
        thirdPartyProvider:
          type:
            - string
            - 'null'
          enum:
            - EXPENSIFY
            - NAVAN
            - RAMP
            - SAP_CONCUR
            - BILL_SPEND_EXPENSE
            - PLEO
            - BREX
            - null
        thirdPartyReportID:
          type:
            - string
            - 'null'
        reimbursementSyncedAt:
          type:
            - string
            - 'null'
        reimbursementSyncError:
          type:
            - string
            - 'null'
      required:
        - hrisExpenseReportID
        - roleInOrgID
        - roleInOrgName
        - roleInOrgEmail
        - roleInOrgDepartment
        - name
        - status
        - startDate
        - endDate
        - expensedCurrencyID
        - expensedCurrencyCode
        - expensedCurrencyName
        - totalAmountInExpenseCurrency
        - submittedAt
        - approvedAt
        - rejectedAt
        - paidAt
        - payoutStatus
        - decisionUndoableUntil
        - rejectionReason
        - reviewComment
        - createdAt
        - updatedAt
        - expenseCount
        - categoryNames
        - primaryExpenseCategoryName
        - hasReceiptlessExpenses
        - thirdPartyProvider
        - thirdPartyReportID
        - reimbursementSyncedAt
        - reimbursementSyncError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
